> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1accountsecurity events

> The customer's own account history. The vocabulary is closed and carries no amount, link, or other party's identifier.



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml get /v1/account/security-events
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/account/security-events:
    get:
      tags:
        - account
      description: >-
        The customer's own account history. The vocabulary is closed and carries
        no amount, link, or other party's identifier.
      operationId: listAccountSecurityEvents
      parameters:
        - in: query
          name: cursor
          schema:
            type: string
            format: date-time
        - in: query
          name: cursorId
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Events
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountSecurityEventList'
components:
  schemas:
    AccountSecurityEventList:
      type: object
      required:
        - items
      properties:
        items:
          type: array
          items:
            type: object
            required:
              - id
              - event
              - occurredAt
            properties:
              id:
                type: string
                format: uuid
              event:
                type: string
                enum:
                  - signed_in
                  - signed_out
                  - signed_out_all
                  - session_revoked
                  - magic_link_requested
                  - identity_linked
                  - identity_unlinked
                  - subscription_key_rotated
                  - device_removed
                  - devices_removed_all
              ip:
                type: string
              userAgent:
                type: string
              metadata:
                type: object
                additionalProperties: true
              occurredAt:
                type: string
                format: date-time

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.